Description

The drift messages from LArVoxelReadout completely saturate the output of radiological simulations due to charge regularly being
made outside the active volume.

Can we make this message a debug message so it doesn't spam the logs?

Example:

$MSG-w LArVoxelReadout: LArG4:largeant@BeginModule 25-Apr-2019 21:06:47 CDT run: 20000061 subRun
0 event: 1
unable to drift electrons from point (136.377,-513.393,231.755) with exception ---- Geometry BEGIN
Can't find nearest wire for position (3.00155,-513.478,231.628) in plane C:0 T:5 P:2 approx wire
number # 0 (capped from -2)
———— Geometry END

Associated revisions

Revision 340d537d - 05/13/2019 02:56 PM - Jason Stock

Changing warning message from LArVoxelReadout that write many messages
for particles outside of the TPC or for each event to be debug level.
This addresses LArSoft issue #22452

History

#1 - 04/29/2019 10:49 AM - Kyle Knoepfel
- Status changed from New to Feedback

- Description updated

Jason, are you able to make a feature branch with the desired change? If this type of message indicates a normal situation, then changing the
logging to MF_LOG_DEBUG is reasonable. Otherwise, some more thought should go into it. If this is not an exceptional circumstance, then
throwing/catching an exception is not the best solution.

#2 - 05/06/2019 10:36 AM - Kyle Knoepfel

Any update on this, Jason?

#3 - 05/06/2019 11:04 AM - Jason Stock

No. I haven't done any work on this. | have not worked with this piece of the simulation, and reported the issue to solicit help/feedback from the
maintainers responsible for LArVoxelReadout.

| don't think this is exceptional, as any charge generated outside the active region will not drift to a wire and any charge in the dead region will not drift
to a wire. As | didn't introduce the warning however, | am not sure how important the author thinks this warning is.

#4 - 05/13/2019 11:23 AM - Kyle Knoepfel
LArVoxelReadout is no longer necessary with the refactored larg4 code. Once the experiments migrate to larg4, they will not see these messages.

In the meantime, changing to MF_LOG_DEBUG is a good idea. Can you please do that?

#5 - 05/13/2019 11:37 AM - Jason Stock

Will do. I'll it later today (when I'm back to a computer)
